/* eslint-disable react/jsx-props-no-spreading */
import React, { FC, useState } from 'react';
import { Button, TextField, Typography } from '@material-ui/core';
import { Control, Controller } from 'react-hook-form';
import { InputField } from 'components/Auth/InputField/InputField';
import {
  InsertReservationProps,
  TripStageType,
} from './InsertReservationProps';

type TripStageProps = {
  control: Control<InsertReservationProps>;
};

// FIX: Data is flushed onChange. Similar problem in seniorSearch.
// What about this https://codesandbox.io/s/usefieldarray-wfbjt?file=/src/index.js
// Usefields.
// https://codesandbox.io/s/usefieldarray-virtual-input-v9wyw
// https://codesandbox.io/s/react-hook-form-usefieldarray-7bpmk
export const TripStage: FC<TripStageProps> = ({ control }: TripStageProps) => {
  const [stage, setStage] = useState<string[]>(['']);
  const [value, setValue] = useState<string>('');
  console.log(control);

  const addStage = (): void => {
    setStage([...stage, value]);
  };

  return (
    <>
      {stage.map((field, index) => (
        <>
          <Typography variant="h3" component="h3">
            Stage {index}
          </Typography>
          <Controller
            as={<TextField variant="outlined" fullWidth label="Location" />}
            name={`tripStages[${index}].address`}
            control={control}
            defaultValue={field}
          />
          <InputField
            name={`tripStages[${index}].estimatedBeAt`}
            label="Predicted time"
            type="date"
            control={control}
          />
        </>
      ))}
      <Button variant="outlined" onClick={addStage} type="button">
        Add stage
      </Button>
    </>
  );
};
